apiVersion: v1
kind: Pod
metadata:
  annotations:
    k8s.ovn.org/pod-networks: '{"default":{"ip_addresses":["10.131.0.27/23"],"mac_address":"0a:58:0a:83:00:1b","gateway_ips":["10.131.0.1"],"routes":[{"dest":"10.128.0.0/14","nextHop":"10.131.0.1"},{"dest":"172.30.0.0/16","nextHop":"10.131.0.1"},{"dest":"100.64.0.0/16","nextHop":"10.131.0.1"}],"ip_address":"10.131.0.27/23","gateway_ip":"10.131.0.1"}}'
    k8s.v1.cni.cncf.io/network-status: |-
      [{
          "name": "ovn-kubernetes",
          "interface": "eth0",
          "ips": [
              "10.131.0.27"
          ],
          "mac": "0a:58:0a:83:00:1b",
          "default": true,
          "dns": {}
      }]
    openshift.io/scc: privileged
  creationTimestamp: "2024-09-16T18:48:18Z"
  generateName: node-agent-
  labels:
    component: velero
    controller-revision-hash: 6654bd5dbd
    name: node-agent
    pod-template-generation: "1"
  name: node-agent-26q5r
  namespace: openshift-adp
  ownerReferences:
  - apiVersion: apps/v1
    blockOwnerDeletion: true
    controller: true
    kind: DaemonSet
    name: node-agent
    uid: 5c6b0e97-0bf7-4fab-be4c-53b5024edb5b
  resourceVersion: "64494"
  uid: cde71b5e-0eeb-4438-94f4-7294296af8e0
spec:
  affinity:
    nodeAffinity:
      requiredDuringSchedulingIgnoredDuringExecution:
        nodeSelectorTerms:
        - matchFields:
          - key: metadata.name
            operator: In
            values:
            - ss-ibm2-wlb25-worker-2-679b6
  containers:
  - args:
    - node-agent
    - server
    command:
    - /velero
    env:
    - name: NODE_NAME
      valueFrom:
        fieldRef:
          apiVersion: v1
          fieldPath: spec.nodeName
    - name: VELERO_NAMESPACE
      valueFrom:
        fieldRef:
          apiVersion: v1
          fieldPath: metadata.namespace
    - name: VELERO_SCRATCH_DIR
      value: /scratch
    image: registry.redhat.io/oadp/oadp-velero-rhel9@sha256:cf9ebc90a72bf5043ef275babb19a4eebe830db9d7194a3e973ea64910f1ae29
    imagePullPolicy: IfNotPresent
    name: node-agent
    ports:
    - containerPort: 8085
      name: metrics
      protocol: TCP
    resources:
      requests:
        cpu: 500m
        memory: 128Mi
    securityContext:
      privileged: true
    terminationMessagePath: /dev/termination-log
    terminationMessagePolicy: File
    volumeMounts:
    - mountPath: /host_pods
      mountPropagation: HostToContainer
      name: host-pods
    - mountPath: /var/data/kubelet/plugins
      mountPropagation: HostToContainer
      name: host-plugins
    - mountPath: /scratch
      name: scratch
    - mountPath: /etc/ssl/certs
      name: certs
    - mountPath: /var/run/secrets/kubernetes.io/serviceaccount
      name: kube-api-access-zthlv
      readOnly: true
  dnsPolicy: ClusterFirst
  enableServiceLinks: true
  imagePullSecrets:
  - name: velero-dockercfg-wpz54
  nodeName: ss-ibm2-wlb25-worker-2-679b6
  preemptionPolicy: PreemptLowerPriority
  priority: 0
  restartPolicy: Always
  schedulerName: default-scheduler
  securityContext:
    runAsUser: 0
  serviceAccount: velero
  serviceAccountName: velero
  terminationGracePeriodSeconds: 30
  tolerations:
  - effect: NoExecute
    key: node.kubernetes.io/not-ready
    operator: Exists
  - effect: NoExecute
    key: node.kubernetes.io/unreachable
    operator: Exists
  - effect: NoSchedule
    key: node.kubernetes.io/disk-pressure
    operator: Exists
  - effect: NoSchedule
    key: node.kubernetes.io/memory-pressure
    operator: Exists
  - effect: NoSchedule
    key: node.kubernetes.io/pid-pressure
    operator: Exists
  - effect: NoSchedule
    key: node.kubernetes.io/unschedulable
    operator: Exists
  volumes:
  - hostPath:
      path: /var/data/kubelet/pods
      type: ""
    name: host-pods
  - hostPath:
      path: /var/data/kubelet/plugins
      type: ""
    name: host-plugins
  - emptyDir: {}
    name: scratch
  - emptyDir: {}
    name: certs
  - name: kube-api-access-zthlv
    projected:
      defaultMode: 420
      sources:
      - serviceAccountToken:
          expirationSeconds: 3607
          path: token
      - configMap:
          items:
          - key: ca.crt
            path: ca.crt
          name: kube-root-ca.crt
      - downwardAPI:
          items:
          - fieldRef:
              apiVersion: v1
              fieldPath: metadata.namespace
            path: namespace
      - configMap:
          items:
          - key: service-ca.crt
            path: service-ca.crt
          name: openshift-service-ca.crt
status:
  conditions:
  - lastProbeTime: null
    lastTransitionTime: "2024-09-16T18:48:18Z"
    status: "True"
    type: Initialized
  - lastProbeTime: null
    lastTransitionTime: "2024-09-16T18:59:24Z"
    message: 'containers with unready status: [node-agent]'
    reason: ContainersNotReady
    status: "False"
    type: Ready
  - lastProbeTime: null
    lastTransitionTime: "2024-09-16T18:59:24Z"
    message: 'containers with unready status: [node-agent]'
    reason: ContainersNotReady
    status: "False"
    type: ContainersReady
  - lastProbeTime: null
    lastTransitionTime: "2024-09-16T18:48:18Z"
    status: "True"
    type: PodScheduled
  containerStatuses:
  - containerID: cri-o://7dc1da380313fe9218e6a51e9958adaaa158aa6d3a48b4b4c97aa5b5a14fbd85
    image: registry.redhat.io/oadp/oadp-velero-rhel9@sha256:cf9ebc90a72bf5043ef275babb19a4eebe830db9d7194a3e973ea64910f1ae29
    imageID: registry.redhat.io/oadp/oadp-velero-rhel9@sha256:cf9ebc90a72bf5043ef275babb19a4eebe830db9d7194a3e973ea64910f1ae29
    lastState:
      terminated:
        containerID: cri-o://7dc1da380313fe9218e6a51e9958adaaa158aa6d3a48b4b4c97aa5b5a14fbd85
        exitCode: 1
        finishedAt: "2024-09-16T19:25:02Z"
        reason: Error
        startedAt: "2024-09-16T19:25:02Z"
    name: node-agent
    ready: false
    restartCount: 12
    started: false
    state:
      waiting:
        message: back-off 5m0s restarting failed container=node-agent pod=node-agent-26q5r_openshift-adp(cde71b5e-0eeb-4438-94f4-7294296af8e0)
        reason: CrashLoopBackOff
  hostIP: 10.242.65.4
  phase: Running
  podIP: 10.131.0.27
  podIPs:
  - ip: 10.131.0.27
  qosClass: Burstable
  startTime: "2024-09-16T18:48:18Z"
